package com.chinacreator.video.mapper;

import com.chinacreator.video.bean.LogBean;
import com.chinacreator.video.bean.OrderRelationsBean;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public interface WoInnovateDao {
//1
    List<String> findBySpInfoTable();

    int checkStatus(@Param("userid") String userid, @Param("skuId") String skuId);

    String findStatus(@Param("userid") String userid, @Param("skuId") String skuId);

    Map<String,String> findSpidBySkuId(@Param("vacproductid") String vacproductid);

    void add(OrderRelationsBean bean);

    void saveLog(LogBean logBean);

    int findRelationCount(@Param("userid") String userid, @Param("spid") String spid);

    void updateRelation(OrderRelationsBean orderRelationsBean);

    void addBusshandle (OrderRelationsBean bean);
}
